Subject: Please review: draft-hendrikx-wallis-urn-nzl-00.txt

From: Ted Hardie <[email-masked]>
Date: Tue, 9 Aug 2005 15:54:12 -0700

I would appreciate your review of draft-hendrikx-wallis-urn-nzl-00.txt,
for which publication has been requested.
			thanks,
				Ted Hardie

---

From: "Dave Tessman" <[email-masked]>
Date: Wed, 10 Aug 2005 14:38:52 -0700

draft-hendrikx-wallis-urn-nzl-00.txt:

>  The New Zealand Government hoped to make use of the two letter
> Namespace Identifier (NID) combination for its ubiquitous country
> code, NZ.  But since there is as yet no process to register these,
> (refer RFC 3406) the government has opted to request its well known
> alternative three letter country code (refer ISO 3166).

RFC 3406 (4.3):

>   NOTE: ALL two-letter combinations, and two-letter combinations
>   followed by "-" and any sequence of valid NID characters are reserved
>   for potential use as countrycode-based NIDs for eventual national
>   registrations of URN namespaces.

If according to RFC 3406, "NZ-..."  is reserved as a URN namespace for New 
Zealand.
And, it has been verified that it is the government of New Zealand, that is 
requesting this namespace.
I don't see why there would be a problem requesting a namespace of something 
like "NZ-GLS" for this domain.

---

From: "Dave Tessman" <[email-masked]>
Date: Wed, 10 Aug 2005 14:53:01 -0700

Or, for that matter, not registering with IETF at all, since it is the 
government of New Zealand that controls how those names beginning with "NZ-" 
are registered.  Perhaps the Information & Communications Technology branch 
of the New Zealand State Services Commission should become the registrar for 
New Zealand government NIDs.

--Dave Tessman

----- Original Message ----- 
From: "Dave Tessman" <[email-masked]>
To: <[email-masked]>; "Ted Hardie" <[email-masked]>
Sent: Wednesday, August 10, 2005 2:38 PM
Subject: Re: Please review: draft-hendrikx-wallis-urn-nzl-00.txt

> And, it has been verified that it is the government of New Zealand, that 
> is requesting this namespace.
> I don't see why there would be a problem requesting a namespace of 
> something like "NZ-GLS" for this domain.
>

---

From: Ted Hardie <[email-masked]>
Date: Wed, 10 Aug 2005 15:06:01 -0700

Howdy,
	While we could discuss the registration procedures that might
be used for two-letter registrations, I think that is a larger topic.  As it stands,
the authors have in this document set out to register nzl.  Do
you see any problem with this document's registration?
			regards,
				Ted Hardie

At 2:53 PM -0700 8/10/05, Dave Tessman wrote:
>Or, for that matter, not registering with IETF at all, since it is the government of New Zealand that controls how those names beginning with "NZ-" are registered.  Perhaps the Information & Communications Technology branch of the New Zealand State Services Commission should become the registrar for New Zealand government NIDs.
>
>--Dave Tessman
>
>
>----- Original Message ----- From: "Dave Tessman" <[email-masked]>
>>If according to RFC 3406, "NZ-..."  is reserved as a URN namespace for New Zealand.
>>And, it has been verified that it is the government of New Zealand, that is requesting this namespace.
>>I don't see why there would be a problem requesting a namespace of something like "NZ-GLS" for this domain.
>>
>>----- Original Message ----- From: "Ted Hardie" <[email-masked]>
>>To: <[email-masked]>

---

From: Leslie Daigle <[email-masked]>
Date: Wed, 10 Aug 2005 18:14:12 -0400

Ted is wise to point out it's beyond the scope of the
discussion of this document, but I'll add a thought as to why
it should remain so:

There is no process defined to vet who represents which country for
the purposes of URN NID registration, and until there is, there
will be no two letter country code NID registrations.

To counter that argument, solve ICANN's problems in ccTLD zone
administration authority, and then come back :-)

Less obliquely, there is the very real probability that, for
eg, a national library could claim to be responsible for
setting up permanent identifiers for resources, while the
national passport office turned around and defined something
entirely different.  How is the IETF/IANA to determine what
authority within the country is going to arbitrate between
them?

Leslie.

Dave Tessman wrote:
> government of New Zealand that controls how those names beginning with 
> "NZ-" are registered.  Perhaps the Information & Communications 
> Technology branch of the New Zealand State Services Commission should 
> become the registrar for New Zealand government NIDs.
> 
> --Dave Tessman
> 
>

---

From: "Dave Tessman" <[email-masked]>
Date: Wed, 10 Aug 2005 16:02:39 -0700

> How is the IETF/IANA to determine...
But isn't that completely the problem of the government in question?

Alas, there is this little phrase in RFC 3406, "..are reserved for POTENTIAL 
use.." (emphasis mine).  Which technically means no one can use them. Oh 
well.  So yes, it is out of scope. Though I think it should be addressed 
before this namespace is approved, lest IANA becomes the registrar for all 
government generated sub-namespaces.

To my admittedly myopic view, this is a simple matter, as it just needs to 
be stated that it is the responsibility of the recognized government of the 
country in question to regulate its country-code prefixed NIDs.  To my 
reckoning, sub-namespace collisions within the NID are not the 
responsibility of IETF/IANA anymore than sub-namespace collisions within the 
NSS.

---

From: Leslie Daigle <[email-masked]>
Date: Thu, 11 Aug 2005 11:34:09 -0400

Howdy,

> But isn't that completely the problem of the government in question?

No, really:  what *is* the government?

Should IANA wait for a letter from the recognized head of state?

I'm not making this up -- while ccTLD zones have more realtime
operational impacts than URN NIDs, the basic problems are the same.

Not simple.  Not ever.

Leslie.

> 
> Alas, there is this little phrase in RFC 3406, "..are reserved for 
> POTENTIAL use.." (emphasis mine).  Which technically means no one can 
> use them. Oh well.  So yes, it is out of scope. Though I think it should 
> be addressed before this namespace is approved, lest IANA becomes the 
> registrar for all government generated sub-namespaces.
> 
> To my admittedly myopic view, this is a simple matter, as it just needs 
> to be stated that it is the responsibility of the recognized government 
> of the country in question to regulate its country-code prefixed NIDs.  
> To my reckoning, sub-namespace collisions within the NID are not the 
> responsibility of IETF/IANA anymore than sub-namespace collisions within 
> the NSS.
> 
> ----- Original Message ----- From: "Leslie Daigle" <[email-masked]>
>>> Or, for that matter, not registering with IETF at all, since it is 
>>> the government of New Zealand that controls how those names beginning 
>>> with "NZ-" are registered.  Perhaps the Information & Communications

---

From: "Dave Tessman" <[email-masked]>
Date: Thu, 11 Aug 2005 12:13:34 -0700

Fascinating and fun discussion this!

Okay, I get what you are saying, but fail to see the utility of it (keeping 
in mind that I haven't experienced the zoo of ccTLDs).

I fail to see the problem that is being avoided by having some specifc 
"minister of telcomm" or  something's name on a document registered at 
IANNA.  The whole government could be overthrown the next day anyway. What 
would IANNA do about it, or care?  What difference does it actually make?

Can't the problem be pushed to another body?
So how about "all country code + '-' prefixed NIDs are automatically 
registered to the same party that the country code itself represents"?

For that matter there is nothing preventing me from using "NZ-" for my own 
URNs (other than community pressure and loss of dinner party invitations). 
If it became an issue I would be sued by some entity claiming to represent 
the government of New Zealand and it would be up to a court to decide who 
better represented "NZ", me or the Crown Law Office of the New Zealand 
government.

I still don't see any part that IANNA or the IETF plays in this other than 
to state that "all country code + '-' prefixed NIDs are automatically 
registered to the same party that the country code itself represents".

If the New Zealand national library starts using the same "NZ-" 
sub-namespace as the national passport office, isn't that the problem
of the New Zealand government, and isn't it up to them to regulate that?  I 
don't think that IANNA and the IETF want to start being involved in the 
inner workings of state governments.

Dave

P.S. What I find really amusing is that the longer this discussion goes on 
the more we are making Ted's original point.

----- Original Message ----- 
From: "Leslie Daigle" <[email-masked]>
To: "Dave Tessman" <[email-masked]>
Cc: <[email-masked]>; "Ted Hardie" <[email-masked]>
Sent: Thursday, August 11, 2005 8:34 AM
Subject: Re: Please review: draft-hendrikx-wallis-urn-nzl-00.txt

>> POTENTIAL use.." (emphasis mine).  Which technically means no one can use 
>> them. Oh well.  So yes, it is out of scope. Though I think it should be 
>> addressed before this namespace is approved, lest IANA becomes the

---

From: Leslie Daigle <[email-masked]>
Date: Thu, 11 Aug 2005 18:26:11 -0400

Howdy,

Dave Tessman wrote:
 > P.S. What I find really amusing is that the longer this discussion goes
 > on the more we are making Ted's original point.
 >

Hmm... then only one of us is surprised by that ;-)

> Okay, I get what you are saying, but fail to see the utility of it 
> (keeping in mind that I haven't experienced the zoo of ccTLDs).
> 
> IANNA.  The whole government could be overthrown the next day anyway. 
> What would IANNA do about it, or care?  What difference does it actually 
> make?

Again, it is less of an issue for URNs than for ccTLD zone files
(where there have been lawsuits and threats of worse when ICANN
could neither continue to provide what had been there nor change it
without incurring international wrath).  But it is a real problem
to put something into a database "for a nation" if you're not
able to verify that the right rep provided it.

Because, exactly, you don't want IANA to be in the position of
trying to vet who is the right rep.

> registered to the same party that the country code itself represents"?

But, a country code, here a 2 letter string assigned in an
ISO standard,  is a *country* code -- who is the rep?  What
body?

If we wanted to talk about other things that look like country
codes, say, what we think of as telephone number country codes,
then we have the ENUM assignment problem.  I.e., who gets to
say what the right entry is for <country code>.e164.arpa?  And
that answer was *easier*, because there *is* a logical correspondance
between the standard that defines the number and a single body
within a country -- and that relationship is administered by
the ITU.  So, guess what -- our ENUM standard says "ITU gets
to review & agree that the appropriate representative is making
the request for assignment".

I'm not disagreeing with the model you're describing, I'm just
trying to describe why it is not feasible to implement in URNs,
at least not as we see it now.

Leslie.

> 
> For that matter there is nothing preventing me from using "NZ-" for my 
> own URNs (other than community pressure and loss of dinner party 
> invitations). If it became an issue I would be sued by some entity 
> claiming to represent the government of New Zealand and it would be up 
> to a court to decide who better represented "NZ", me or the Crown Law 
> Office of the New Zealand government.
> 
> I still don't see any part that IANNA or the IETF plays in this other 
> than to state that "all country code + '-' prefixed NIDs are 
> automatically registered to the same party that the country code itself 
> represents".
> 
> of the New Zealand government, and isn't it up to them to regulate 
> that?  I don't think that IANNA and the IETF want to start being 
> involved in the inner workings of state governments.
> 
> Dave
> 
> P.S. What I find really amusing is that the longer this discussion goes 
> on the more we are making Ted's original point.
> 
> 
>>> use them. Oh well.  So yes, it is out of scope. Though I think it 
>>> should be addressed before this namespace is approved, lest IANA 
>>> becomes the registrar for all government generated sub-namespaces.
>>>
>>> To my admittedly myopic view, this is a simple matter, as it just 
>>> needs to be stated that it is the responsibility of the recognized 
>>> government of the country in question to regulate its country-code 
>>> prefixed NIDs. To my reckoning, sub-namespace collisions within the 
>>> NID are not the responsibility of IETF/IANA anymore than 
>>> sub-namespace collisions within the NSS.
>>>
>>>>> the government of New Zealand that controls how those names 
>>>>> beginning with "NZ-" are registered.  Perhaps the Information & 
>>>>> Communications Technology branch of the New Zealand State Services 
>>>>> Commission should become the registrar for New Zealand government 
>>>>> NIDs.
>>>>>
>>>>> --Dave Tessman
>>>>>
>>>>>
>>>>>> And, it has been verified that it is the government of New 
>>>>>> Zealand, that is requesting this namespace.

---

From: "Dave Tessman" <[email-masked]>
Date: Thu, 11 Aug 2005 16:26:03 -0700

Okay, last stab at defending my position before I cry Uncle. And then Ted, 
I will take a look over the document :-)

Don't put anything in a database at all.  It is completely the problem of 
nations to fight it out amongst themselves. Just remove the reserved and 
potential words in the note within RFC 3406 and replace them with some line 
that says that it is the responsibility of the country to regulate their own 
country code sub-namespace. I fail to see how that causes any more problems 
than if the country code was itself registered to a valid representative of 
the country.

Unless I am misreading the intent of the note in RFC3406 and IANA wants to 
be the keeper of all NIDs, including those created as country code 
sub-namespaces.  I figured that "NZ-" was to be treated the same as "X-" 
except it is the problem of New Zealand to ensure that there are no 
registration collisions (if they choose to defend it).  Where with "X-", it 
is the problem of the experimentor.  All others it is the problem of IANA.

--Dave

----- Original Message ----- 
From: "Leslie Daigle" <[email-masked]>
To: "Dave Tessman" <[email-masked]>
Cc: <[email-masked]>; "Ted Hardie" <[email-masked]>
Sent: Thursday, August 11, 2005 3:26 PM
Subject: Re: Please review: draft-hendrikx-wallis-urn-nzl-00.txt

>> claiming to represent the government of New Zealand and it would be up to
>> a court to decide who better represented "NZ", me or the Crown Law Office
>> of the New Zealand government.
>>
>> of the New Zealand government, and isn't it up to them to regulate that?
>> I don't think that IANNA and the IETF want to start being involved in the
>>>> responsibility of IETF/IANA anymore than sub-namespace collisions
>>>> within the NSS.
>>>>

---

From: Leslie Daigle <[email-masked]>
Date: Fri, 12 Aug 2005 19:00:45 -0400

Howdy,

Dave Tessman wrote:
> Okay, last stab at defending my position before I cry Uncle. And then 
> Ted, I will take a look over the document :-)

:-)

> 
> Don't put anything in a database at all.  It is completely the problem 
> of nations to fight it out amongst themselves. Just remove the reserved 
> and potential words in the note within RFC 3406 and replace them with 
> some line that says that it is the responsibility of the country to 
> regulate their own country code sub-namespace. I fail to see how that 
> causes any more problems than if the country code was itself registered 
> to a valid representative of the country.
 >
 > Unless I am misreading the intent of the note in RFC3406 and IANA wants
 > to be the keeper of all NIDs, including those created as country code
 > registration collisions (if they choose to defend it).  Where with "X-",
 > it is the problem of the experimentor.  All others it is the problem of
 > IANA.

Well, that's an interesting perspective.  You're right, if
we wanted to basically say "they can exist, but we wash our
hands of them", that would do it.

It's not the perspective that I, personally, have held, and
it is one I'd be reluctant to adopt -- because it then means
all CC- URN NIDs are no better than pretty-looking informal
namespaces.  Because,  where would URN-parser-implementors
go to find out how to handle country-specific URN NIDs?  The whole
point of having a centralized registry (apart from managing against
collisions) is to provide a single location from which to learn
what one needs to know about URN NIDs.

So that puts us teetering on the cusp of "is a pretty but
informal namespace now better than no cc- namespace for the
forseeable future" and I'm going to climb off before I
gets hurt ;-)

Leslie.

---

From: "Dave Tessman" <[email-masked]>
Date: Fri, 12 Aug 2005 16:53:09 -0700

>...where would URN-parser-implementors
> go to find out how to handle country-specific URN NIDs?...

Perfect conclusion.....Uncle!
Great conversation!  I love kicking around ideas and learned a bit in the 
process.

Thanks,

--Dave

----- Original Message ----- 
From: "Leslie Daigle" <[email-masked]>
To: "Dave Tessman" <[email-masked]>
Cc: <[email-masked]>; "Ted Hardie" <[email-masked]>
Sent: Friday, August 12, 2005 4:00 PM
Subject: Re: Please review: draft-hendrikx-wallis-urn-nzl-00.txt

>> potential words in the note within RFC 3406 and replace them with some 
>> line that says that it is the responsibility of the country to regulate 
>> their own country code sub-namespace. I fail to see how that causes any 
>> more problems than if the country code was itself registered to a valid 
>> representative of the country.
> >

---

From: "Sean Rushing" <[email-masked]>
Date: Tue, 16 Aug 2005 09:50:06 -0700

Dear URN-NID,

Attached is a URN proposal for the ASD Specification 1000D.  Leslie, it as
been nit checked about 3 months back but I have had difficulty getting a
response for an ID Draft assignment.

Best regards,

Sean Rushing

***********************************************************************
Confidentiality Note: The information contained in this email and document(s) attached are for the exclusive use of the addressee and contains confidential, privileged and non-disclosable information. If the recipient of this email is not the addressee, such recipient is strictly prohibited from reading, photocopying, distributing or otherwise using this email or its contents in any way.
***********************************************************************